%def_enable	minimal
%def_enable	debug

Name:		libaal
Version:	1.0.4
Release:	alt1

Summary: Abstraction library for ReiserFS utilities
License:	GPL
Group:		System/Kernel and hardware

URL:		ftp://ftp.namesys.com/pub/reiser4progs/
Source0:	%name-%version.tar.gz
Packager:	Sergey Ivanov <seriv@altlinux.ru>

# Automatically added by buildreq on Fri Nov 19 2004
BuildRequires: gcc-c++ libstdc++-devel

%description
This is a library that provides application abstraction mechanism.
It include device abstraction, libc independence code, etc.

%package -n libaal-devel
Summary:	Headers and static libraries for developing with libaal.
Group:		Development/C
Requires:	libaal = %version-%release

%description -n libaal-devel
This package includes the headers and static libraries for developing
with the libaal library.

%if_enabled minimal
%package -n     libaal-minimal
Summary:        Minimal abstraction library for ReiserFS utilities
Group:		System/Kernel and hardware

%description -n libaal-minimal
This is a minimal library that provides application abstraction mechanism.
It include device abstraction, libc independence code, etc.

%package -n libaal-minimal-devel
Summary:	Headers and static libraries for developing with libaal.
Group:		Development/C
Requires:	libaal-minimal = %version-%release libaal-devel = %version-%release

%description -n libaal-minimal-devel
This package includes the headers and static libraries for developing
with the minimal libaal library.
%endif

%prep
%setup -q -n %name-%version

%build
export FFLAGS=-fPIC
%if_enabled minimal
BUILD_OPTS="$BUILD_OPTS --enable-libminimal"
%endif
%if_enabled debug
BUILD_OPTS="$BUILD_OPTS --enable-debug"
%endif

%configure \
%if_enabled debug
        --enable-debug \
%endif
%if_enabled minimal
	 --enable-libminimal
%else
	 --disable-libminimal --disable-memory-manager
%endif
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT/lib
%make DESTDIR=%buildroot install
# Relocate shared libraries from %_libdir/ to /lib/.
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
        v="$RPM_BUILD_ROOT%_libdir/$(readlink -n "$f")"
        t=`objdump -p "$v" |awk '/SONAME/ {print $2}'`
        [ -n "$t" ]
        %__ln_s -nf ../../lib/"$t" "$f"
done
mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/


%files
/lib/libaal-1.0.so*

%files -n libaal-devel
%_libdir/libaal.so*
%_libdir/libaal.*a
%dir %_includedir/aal
%_includedir/aal/*
%_datadir/aclocal/libaal.m4

%if_enabled minimal

%files -n libaal-minimal
/lib/libaal-minimal.so.*

%files -n libaal-minimal-devel
%_libdir/libaal-minimal.so
%_libdir/libaal-minimal.*a

%endif

%changelog
* Mon Feb 21 2005 Sergey Ivanov <seriv@altlinux.ru> 1.0.4-alt1
- new version from namesys.com

* Sat Dec 11 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.3-alt1
- new version from namesys.com, includes:
- a lot of bug fixes, 
- correct handling of super block backups, 
- recovery according to the super block backups,
- demos/busy is a reiser4progs-busy-box program that is able 
  to create/remove/copy/read/ls/etc on reiser4 working through 
  libreiser4, without kernel reiser4 support.

It happened that the previous super block backups were created 
with a mistake and to resync them now you need to run
	fsck.reiser4 --build-sb <device>



* Wed Nov 17 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt2
- [#5222] (*.so should be installed into /lib/, not /usr/lib/),
  *-minimal libs moved to separate package, removed false g77 dependency.

* Tue Oct 26 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt1
- version 1.0.2; descriptions, files and options taken from libaal.spec from sourcces package

* Wed Aug 25 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.0-alt1
- initial build
